# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdeutils3
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:	3.0.2
Release:	1mdk

Source:		kdeutils-%{version}.tar.bz2
Patch0:		kdeutils-3.0-ktimer_icons.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Obsoletes:	kdf
Provides:	kdf

# To remove
Obsoletes:	kdeutils3.0

# Dadou - 2.2.1-3mdk - dosfstools is for kfloppy and efax for kfax
Requires:	dosfstools, efax

# Dadou - 2.1-1mdk - For battery control
Requires:	apmd


%if %buildfor8_0
BuildRequires:	XFree86-devel
%endif

%if %buildfor8_1
BuildRequires:  XFree86-devel
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel
%endif

%if %buildfor8_3
BuildRequires:  XFree86-devel
%endif

%description
Utilities for the K Desktop Environment.


%package devel
Summary:	Header files for kdeutils
%if %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release

%description devel
Headers files for kdeutils.



%prep



%setup -q -nkdeutils-%{version}
%patch0 -p1


%build
#make -f Makefile.cvs
%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
                    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama

%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create MDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/

# %%_datadir/applnk/Editors/
kdedesktop2mdkmenu.pl kdeutils3 Applications/Editors %buildroot/%_datadir/applnk/Editors/KEdit.desktop %buildroot/%_menudir/kdeutils3-kedit kde

# %%_datadir/applnk/Settings/Information/
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/kcmdf.desktop %buildroot/%_menudir/kdeutils3-kcmdf kde
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/pcmcia.desktop %buildroot/%_menudir/kdeutils3-pcmcia kde

# %%_datadir/applnk/Settings/PowerControl/
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/battery.desktop %buildroot/%_menudir/kdeutils3-battery kde
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/bwarning.desktop %buildroot/%_menudir/kdeutils3-bwarning kde
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/cwarning.desktop %buildroot/%_menudir/kdeutils3-cwarning kde
kdedesktop2mdkmenu.pl kdeutils3 Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/power.desktop %buildroot/%_menudir/kdeutils3-power kde

# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdeutils3 Applications/Monitoring %buildroot/%_datadir/applnk/System/kdf.desktop %buildroot/%_menudir/kdeutils3-kdf
kdedesktop2mdkmenu.pl kdeutils3 Configuration/Hardware %buildroot/%_datadir/applnk/System/kwikdisk.desktop %buildroot/%_menudir/kdeutils3-kwikdisk kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdeutils3 Applications/Archiving/Compression %buildroot/%_datadir/applnk/Utilities/ark.desktop %buildroot/%_menudir/kdeutils3-ark

kdedesktop2mdkmenu.pl kdeutils3 Applications/Sciences/Mathematics %buildroot/%_datadir/applnk/Utilities/kcalc.desktop %buildroot/%_menudir/kdeutils3-kcalc
kdedesktop2mdkmenu.pl kdeutils3 Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/KCharSelect.desktop %buildroot/%_menudir/kdeutils3-kcharselect
#kdedesktop2mdkmenu.pl kdeutils3 Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/kcardchooser.desktop %buildroot/%_menudir/kdeutils3-kcardchooser
kdedesktop2mdkmenu.pl kdeutils3 Configuration/Other %buildroot/%_datadir/applnk/Utilities/kdepasswd.desktop %buildroot/%_menudir/kdeutils3-kdepasswd
kdedesktop2mdkmenu.pl kdeutils3 Configuration/Hardware %buildroot/%_datadir/applnk/Utilities/KFloppy.desktop %buildroot/%_menudir/kdeutils3-kfloppy
kdedesktop2mdkmenu.pl kdeutils3 Applications/Editors %buildroot/%_datadir/applnk/Utilities/khexedit.desktop %buildroot/%_menudir/kdeutils3-khexedit
kdedesktop2mdkmenu.pl kdeutils3 Configuration/Printing %buildroot/%_datadir/applnk/Utilities/KLJetTool.desktop %buildroot/%_menudir/kdeutils3-kljettool
kdedesktop2mdkmenu.pl kdeutils3 Applications/Communications %buildroot/%_datadir/applnk/Utilities/klprfax.desktop %buildroot/%_menudir/kdeutils3-klprfax
kdedesktop2mdkmenu.pl kdeutils3 Configuration/Printing %buildroot/%_datadir/applnk/Utilities/KLpq.desktop %buildroot/%_menudir/kdeutils3-klpq

%if %buildfor7_2 || %buildfor8_0
kdedesktop2mdkmenu.pl kdeutils3 Office %buildroot/%_datadir/applnk/Utilities/ktimer.desktop %buildroot/%_menudir/kdeutils3-ktimer kde
kdedesktop2mdkmenu.pl kdeutils3 Office %buildroot/%_datadir/applnk/Utilities/Kjots.desktop %buildroot/%_menudir/kdeutils3-kjots
%else
kdedesktop2mdkmenu.pl kdeutils3 Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/Kjots.desktop %buildroot/%_menudir/kdeutils3-kjots

kdedesktop2mdkmenu.pl kdeutils3 Office/Time\ management %buildroot/%_datadir/applnk/Utilities/ktimer.desktop %buildroot/%_menudir/kdeutils3-ktimer kde
%endif


%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/


%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/


%clean
rm -fr %buildroot/


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ark/
%doc %_docdir/HTML/en/ark/common
%doc %_docdir/HTML/en/ark/*.docbook
%doc %_docdir/HTML/en/ark/*.bz2
#
#
%dir %_docdir/HTML/en/kab/
%doc %_docdir/HTML/en/kab/common
%doc %_docdir/HTML/en/kab/*.docbook
%doc %_docdir/HTML/en/kab/*.png
%doc %_docdir/HTML/en/kab/*.bz2
#
#
#
%dir %_docdir/HTML/en/kcalc/
%doc %_docdir/HTML/en/kcalc/common
%doc %_docdir/HTML/en/kcalc/*.docbook
%doc %_docdir/HTML/en/kcalc/*.txt
%doc %_docdir/HTML/en/kcalc/*.bz2
#
#
%dir %_docdir/HTML/en/kdf/
%doc %_docdir/HTML/en/kdf/common
%doc %_docdir/HTML/en/kdf/*.docbook
%doc %_docdir/HTML/en/kdf/*.png
%doc %_docdir/HTML/en/kdf/*.bz2
#
#
%dir %_docdir/HTML/en/kedit/
%doc %_docdir/HTML/en/kedit/common
%doc %_docdir/HTML/en/kedit/*.docbook
%doc %_docdir/HTML/en/kedit/*.bz2
#
#
#
#
%dir %_docdir/HTML/en/kfloppy/
%doc %_docdir/HTML/en/kfloppy/common
%doc %_docdir/HTML/en/kfloppy/*.docbook
%doc %_docdir/HTML/en/kfloppy/*.bz2
#
#
%dir %_docdir/HTML/en/khexedit/
%doc %_docdir/HTML/en/khexedit/common
%doc %_docdir/HTML/en/khexedit/*.docbook
%doc %_docdir/HTML/en/khexedit/*.png
%doc %_docdir/HTML/en/khexedit/*.bz2
#
#
%dir %_docdir/HTML/en/kjots/
%doc %_docdir/HTML/en/kjots/common
%doc %_docdir/HTML/en/kjots/*.docbook
%doc %_docdir/HTML/en/kjots/*.bz2
#
#
%dir %_docdir/HTML/en/kljettool/
%doc %_docdir/HTML/en/kljettool/common
%doc %_docdir/HTML/en/kljettool/filter
%doc %_docdir/HTML/en/kljettool/magic
%doc %_docdir/HTML/en/kljettool/README
%doc %_docdir/HTML/en/kljettool/*.docbook
%doc %_docdir/HTML/en/kljettool/*.png
%doc %_docdir/HTML/en/kljettool/*.txt
%doc %_docdir/HTML/en/kljettool/*.zip
%doc %_docdir/HTML/en/kljettool/*.bz2
#
#
%dir %_docdir/HTML/en/klpq/
%doc %_docdir/HTML/en/klpq/common
%doc %_docdir/HTML/en/klpq/*.docbook
%doc %_docdir/HTML/en/klpq/*.bz2
#
#
%dir %_docdir/HTML/en/klprfax/
%doc %_docdir/HTML/en/klprfax/common
%doc %_docdir/HTML/en/klprfax/*.docbook
%doc %_docdir/HTML/en/klprfax/*.bz2
#
#
#
%doc %_docdir/HTML/en/KRegExpEditor/common
%doc %_docdir/HTML/en/KRegExpEditor/*.docbook
%doc %_docdir/HTML/en/KRegExpEditor/*.bz2
%doc %_docdir/HTML/en/KRegExpEditor/*.png
#
#
# Laurent - 2.2-6mdk - efax, efix and fax man pages are provided by efax package
#%doc %_mandir/man1/efax.1.*
#%doc %_mandir/man1/efix.1.*
#%doc %_mandir/man1/fax.1.*
#
#
#
%_bindir/ark
# Laurent - 2.2-6mdk - %%_bindir/efax, %%_bindir/efix and %%_bindir/fax are
#                      provided by efax package
#%_bindir/efax
#%_bindir/efix
#%_bindir/fax
#%_bindir/kab
%_bindir/kcalc
%_bindir/kcharselect
%_bindir/kdepasswd
%_bindir/kdessh
%_bindir/kdf
%_bindir/kedit
%_bindir/kfloppy
%_bindir/khexedit
%_bindir/kjots
%_bindir/klaptopdaemon
%_bindir/kljettool
%_bindir/klpq
%_bindir/klprfax
%_bindir/klprfax_filter
%_bindir/klprfax_lpd
%_bindir/ktimer
%_bindir/kwikdisk
#%_bindir/kcardchooser
#
#
#
%_libdir/*.la
%_libdir/*.so*
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
#
#
%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Information/
%_datadir/applnk/Settings/Information/*.desktop
#
%dir %_datadir/applnk/Settings/PowerControl/
%_datadir/applnk/Settings/PowerControl/*.desktop
#
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ark/
%_datadir/apps/ark/*.rc
#
%dir %_datadir/apps/ark/icons/
%dir %_datadir/apps/ark/icons/hicolor/
%dir %_datadir/apps/ark/icons/hicolor/22x22/
%dir %_datadir/apps/ark/icons/hicolor/22x22/actions/
%_datadir/apps/ark/icons/hicolor/22x22/actions/*.png
#
#

#
#
#
%dir %_datadir/apps/kdf/
%dir %_datadir/apps/kdf/pics/
%_datadir/apps/kdf/pics/*.png
#
#
%dir %_datadir/apps/kedit/
%_datadir/apps/kedit/*.rc
#
#
#
#
#%dir %_datadir/apps/kfloppy/
#%dir %_datadir/apps/kfloppy/pics/
#%_datadir/apps/kfloppy/pics/*.png
#
#
%dir %_datadir/apps/khexedit/
%dir %_datadir/apps/khexedit/toolbar/
%_datadir/apps/khexedit/toolbar/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kjots/
%dir %_datadir/apps/kjots/pics/
%_datadir/apps/kjots/pics/*.png
#
#
%dir %_datadir/apps/klaptopdaemon/
%dir %_datadir/apps/klaptopdaemon/icons/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/16x16/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/16x16/actions/
%_datadir/apps/klaptopdaemon/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/32x32/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/32x32/actions/
%_datadir/apps/klaptopdaemon/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/kljettool/
%dir %_datadir/apps/kljettool/pics/
%_datadir/apps/kljettool/pics/*.png
#
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
#
%dir %_datadir/apps/kregexpeditor/
%dir %_datadir/apps/kregexpeditor/pics/
%_datadir/apps/kregexpeditor/pics/*.png
#
%dir %_datadir/apps/kregexpeditor/predefined/
%dir %_datadir/apps/kregexpeditor/predefined/general/
%_datadir/apps/kregexpeditor/predefined/general/*.regexp
#
#
#
%dir %_datadir/services/
%_datadir/services/arkpart.desktop 
%_datadir/services/kregexpeditorgui.desktop
%_datadir/services/klaptopdaemon.desktop
#
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png



%files devel
%defattr(-,root,root,-)
%_includedir/*.h



%changelog
* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remobe 'fomit-frame-pointer'

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.5mdk
- Oops, fix previous changelogs

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
